Subject: [OAUTH-WG] Extensions example update (was Draft -21 next steps)

From: Brian Campbell <[email-masked]>
Date: Mon, 19 Sep 2011 14:02:36 -0600

Although this isn't related to changes made since -20, it should
probably still be done (unless it's something for the final RFC
editors?) and shouldn't be much of a change.

The example in section 4.5 [1] uses the "old" grant type URI for the
SAML grant type (http://oauth.net/grant_type/saml/2.0/bearer) and it
should probably be updated to use the "new" and hopefully final and
stable one (urn:ietf:params:oauth:grant-type:saml2-bearer).

Here's the example from the latest SAML draft [2]:

   POST /token.oauth2 HTTP/1.1
   Host: authz.example.net
   Content-Type: application/x-www-form-urlencoded

   grant_type=urn%3Aietf%3Aparams%3Aoauth%3Agrant-type%3Asaml2-
   bearer&assertion=PEFzc2VydGlvbiBJc3N1ZUluc3RhbnQ9IjIwMTEtMDU
   [...omitted for brevity...]aG5TdGF0ZW1lbnQ-PC9Bc3NlcnRpb24-

Also the source xml, if that's useful:

            <artwork>
              <![CDATA[
POST /token.oauth2 HTTP/1.1
Host: authz.example.net
Content-Type: application/x-www-form-urlencoded

grant_type=urn%3Aietf%3Aparams%3Aoauth%3Agrant-type%3Asaml2-
bearer&assertion=PEFzc2VydGlvbiBJc3N1ZUluc3RhbnQ9IjIwMTEtMDU
[...omitted for brevity...]aG5TdGF0ZW1lbnQ-PC9Bc3NlcnRpb24-]]>
            </artwork>

Thanks,
Brian

[1] http://tools.ietf.org/html/draft-ietf-oauth-v2-21#section-4.5
[2] http://tools.ietf.org/html/draft-ietf-oauth-saml2-bearer-08#section-4

On Sun, Sep 4, 2011 at 5:49 PM, Eran Hammer-Lahav <[email-masked]> wrote:
> I’d like to ask the chairs to declare a 2 weeks review period limited to
> changes made since -20 after which we will either declare -21 as the final
> WG draft or publish a quick -22 with all changes agreed prior on the list
> and no additional WG review period. Of course, the chairs can change all
> these rules as they see fit.
>
>
>
> EHL
>
>
>
>
>
> _______________________________________________
> OAuth mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/oauth
>
>